#ifndef TIMESTAMP_H
#define TIMESTAMP_H
#include <QLabel>
#include <QtGui>

class timestamp : public QLabel
{
	Q_OBJECT
	public:
		timestamp(QWidget * parent);
		int duree_diapo;
		int position_draw;
		int mouse_position_x;
		int mouse_real_x;
		int table_markpos[21];
		int wgisgrabbing;
		float table_coo[501][6];
		QString paraframes;

	public slots:
		void initpos();
		void charge_frames();
	signals:
		void follow(int);
		void mark_coo(int);
		void umark_coo();
	private:
	protected:
		void mouseMoveEvent ( QMouseEvent * event );
		void paintEvent(QPaintEvent *);
		void mousePressEvent ( QMouseEvent * event );
		void mouseReleaseEvent ( QMouseEvent * event );
};
#endif
